package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 用户销售信息扩展对象 sys_user_sales_ext
 * 
 * @author qxp
 * @date 2020-07-29
 */
public class SysUserSalesExt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户id */
    private Long userId;

    /** 所属组织code */
    private String orgCode;

    /** 销售等级详见字典（sales_level） */
    private String salesLevel;

    /** 所属组织名称 */
    private String orgName;

    /** 雇员id */
    private String sapEmployeeId;

    /** 领导id */
    private String bossEmployeeId;

    /** 领导名称 */
    private String bossName;

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setOrgCode(String orgCode) 
    {
        this.orgCode = orgCode;
    }

    public String getOrgCode() 
    {
        return orgCode;
    }
    public void setSalesLevel(String salesLevel) 
    {
        this.salesLevel = salesLevel;
    }

    public String getSalesLevel() 
    {
        return salesLevel;
    }
    public void setOrgName(String orgName) 
    {
        this.orgName = orgName;
    }

    public String getOrgName() 
    {
        return orgName;
    }
    public void setSapEmployeeId(String sapEmployeeId)
    {
        this.sapEmployeeId = sapEmployeeId;
    }

    public String getSapEmployeeId()
    {
        return sapEmployeeId;
    }
    public void setBossEmployeeId(String bossEmployeeId)
    {
        this.bossEmployeeId = bossEmployeeId;
    }

    public String getBossEmployeeId()
    {
        return bossEmployeeId;
    }

    public String getBossName() {
        return bossName;
    }

    public void setBossName(String bossName) {
        this.bossName = bossName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("orgCode", getOrgCode())
            .append("salesLevel", getSalesLevel())
            .append("orgName", getOrgName())
            .append("sapEmployeeId", getSapEmployeeId())
            .append("bossEmployeeId", getBossEmployeeId())
            .append("bossName", getBossName())
            .toString();
    }
}
